'use strict';

var fs = require('fs');
var cli = require('../src/cli.js');
var Clifier = require("clifier");

exports.testCommands = function(test) {
    test.expect(4);

    //be sure that no setitup.config file already exists
    try {
        fs.unlinkSync(process.cwd() + '/setitup.config');
    } catch(error){
        //ok
    }

    var oldExit = process.exit;
    var log = [];
    Clifier.helpers.log.write = function(content) {
        log.push(content);
    };
    process.exit = function(){};

    cli.run();
    test.equal(log[0], '\nsetitup v0.1.0\nLocal environment project setup made easy\n\nUsage : setitup [command] [options]\n\nCommand list : \n    init                Create a new setitup.config file on your project directory\n    install [options]      Install a setitup project\n        -g\ta git url to install\n        -o\toutput for git install\n        -n\tinstall the asked namespace\n    doctor [options]      Check if project can run\n        -n\tinstall the asked namespace\n    help                Show help for setitup\n');

    log = [];
    cli.run('install');
    test.equal(log[0], '\u001b[1m\u001b[31mThe setitup.config file doesn\'t exist\n\u001b[39m\u001b[22m');

    log = [];
    cli.run('init');
    test.equal(log[0], void(0));

    log = [];
    cli.run('init');
    test.equal(log[0], '\u001b[1m\u001b[31mThe file setitup.config already exists\u001b[39m\u001b[22m');

    //remove setitup.config test file generated by init command
    fs.unlinkSync(process.cwd() + '/setitup.config');
    process.exit = oldExit; 

    test.done();
};